Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf
Class HWPFDocumentCore

    java.lang.Object
      org.apache.poi.POIDocument
          org.apache.poi.hwpf.HWPFDocumentCore

Direct Known Subclasses:
  HWPFDocument, HWPFOldDocument

    public abstract class HWPFDocumentCore

extends org.apache.poi.POIDocument

This class holds much of the core of a Word document, but without some of the table structure information. You generally want to work with one of `HWPFDocument` or `HWPFOldDocument`

Constructor Summary
`HWPFDocumentCore(org.apache.poi.poifs.filesystem.DirectoryNode directory)` This constructor loads a Word document from a specific point in a POIFSFileSystem, probably not the default.
`HWPFDocumentCore(java.io.InputStream istream)` This constructor loads a Word document from an InputStream.
`HWPFDocumentCore(org.apache.poi.poifs.filesystem.POIFSFileSystem pfilesystem)` This constructor loads a Word document from a POIFSFileSystem

Method Summary
`CHPBinTable` | `getCharacterTable()`
`java.lang.String` | `getDocumentText()` Returns document text, i.e.
`FileInformationBlock` | `getFileInformationBlock()`
`FontTable` | `getFontTable()`
`ListTables` | `getListTables()`
`ObjectsPool` | `getObjectsPool()`
`abstract Range` | `getOverallRange()` Returns the range that covers all text in the file, including main text, footnotes, headers and comments
`PAPBinTable` | `getParagraphTable()`
`abstract Range` | `getRange()` Returns the range which covers the whole of the document, but excludes any headers and footers.
`SectionTable` | `getSectionTable()`
`StyleSheet` | `getStyleSheet()`
`abstract java.lang.StringBuffer` | `getText()` Internal method to access document text
`abstract TextPieceTable` | `getTextTable()`
`static org.apache.poi.poifs.filesystem.POIFSFileSystem` | `verifyAndBuildPOIFS(java.io.InputStream istream)` Takens an InputStream, verifies that it's not RTF, builds a POIFSFileSystem from it, and returns that.

Methods inherited from class org.apache.poi.POIDocument
`createInformationProperties, getDocumentSummaryInformation, getSummaryInformation, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HWPFDocumentCore

    public HWPFDocumentCore(java.io.InputStream istream)
                     throws java.io.IOException

  This constructor loads a Word document from an InputStream.

  Parameters:
    `istream` - The InputStream that contains the Word document.
  Throws:
    `java.io.IOException` - If there is an unexpected IOException from the passed in InputStream.

### HWPFDocumentCore

    public HWPFDocumentCore(org.apache.poi.poifs.filesystem.POIFSFileSystem pfilesystem)
                     throws java.io.IOException

  This constructor loads a Word document from a POIFSFileSystem

  Parameters:
    `pfilesystem` - The POIFSFileSystem that contains the Word document.
  Throws:
    `java.io.IOException` - If there is an unexpected IOException from the passed in POIFSFileSystem.

### HWPFDocumentCore

    public HWPFDocumentCore(org.apache.poi.poifs.filesystem.DirectoryNode directory)
                     throws java.io.IOException

  This constructor loads a Word document from a specific point in a POIFSFileSystem, probably not the default. Used typically to open embeded documents.

  Parameters:
    `directory` - The DirectoryNode that contains the Word document.
  Throws:
    `java.io.IOException` - If there is an unexpected IOException from the passed in POIFSFileSystem.

Method Detail

### verifyAndBuildPOIFS

    public static org.apache.poi.poifs.filesystem.POIFSFileSystem verifyAndBuildPOIFS(java.io.InputStream istream)
                                                                               throws java.io.IOException

  Takens an InputStream, verifies that it's not RTF, builds a POIFSFileSystem from it, and returns that.

  Throws:
    `java.io.IOException`

### getRange

    public abstract Range getRange()

  Returns the range which covers the whole of the document, but excludes any headers and footers.

### getOverallRange

    public abstract Range getOverallRange()

  Returns the range that covers all text in the file, including main text, footnotes, headers and comments

### getDocumentText

    public java.lang.String getDocumentText()

  Returns document text, i.e. text information from all text pieces, including OLE descriptions and field codes

### getText

    public abstract java.lang.StringBuffer getText()

  Internal method to access document text

### getCharacterTable

    public CHPBinTable getCharacterTable()

### getParagraphTable

    public PAPBinTable getParagraphTable()

### getSectionTable

    public SectionTable getSectionTable()

### getStyleSheet

    public StyleSheet getStyleSheet()

### getListTables

    public ListTables getListTables()

### getFontTable

    public FontTable getFontTable()

### getFileInformationBlock

    public FileInformationBlock getFileInformationBlock()

### getObjectsPool

    public ObjectsPool getObjectsPool()

### getTextTable

    public abstract TextPieceTable getTextTable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD